View Issue Details

IDProjectCategoryView StatusLast Update
16347Bug reportsInstallationpublic2021-03-08 19:38
ReporterDrunkenPoney Assigned Toc_schmitz  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version4.2.4 
Fixed in Version4.4.12 
Summary16347: Error while updating database
DescriptionCan't update database.
Steps To ReproduceUse database containing LimeSurvey data of a previous version (pre 4.2.4).
LimeSurvey's config file (application/config/config.php) must contain the informations to connect to the database.

1. Open a terminal.
2. Go to the directory where LimeSurvey 4.2.4 is installed. (cd ${LS_INSTALL_DIR})
3. Execute the following command to update the database:
    php -f './application/commands/console.php' -- updatedb
Tags4.2.4, installation.database
Complete LimeSurvey version number (& build)4.2.4+200520
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.7
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4

Activities

DrunkenPoney

DrunkenPoney

2020-05-29 19:39

reporter  

image.png (28,262 bytes)   
image.png (28,262 bytes)   
cdorin

cdorin

2021-02-03 19:23

manager   ~61913

Hey @DrunkenPoney , can you please try to reproduce the issue in 4.4.1?
c_schmitz

c_schmitz

2021-03-01 16:25

administrator   ~62581

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31236
c_schmitz

c_schmitz

2021-03-01 16:29

administrator   ~62582

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31237

Related Changesets

LimeSurvey: master 7cc94132

2021-03-01 16:24:39

c_schmitz

Details Diff
Fixed issue 16347: Error while updating database using console command Affected Issues
16347
mod - application/commands/UpdateDbCommand.php Diff File
mod - application/core/LSYii_Validators.php Diff File

LimeSurvey: master 6036bb2d

2021-03-01 16:29:02

c_schmitz

Details Diff
Fixed issue 16347: Error while updating database using console command Affected Issues
16347
mod - application/core/LSYii_Validators.php Diff File

Issue History

Date Modified Username Field Change
2020-05-29 19:39 DrunkenPoney New Issue
2020-05-29 19:39 DrunkenPoney File Added: image.png
2020-05-29 19:39 DrunkenPoney Tag Attached: 4.2.4
2020-05-29 19:40 DrunkenPoney Tag Attached: installation.database
2021-02-03 19:23 cdorin Note Added: 61913
2021-02-03 19:23 cdorin Status new => feedback
2021-03-01 16:25 c_schmitz Changeset attached => LimeSurvey master 7cc94132
2021-03-01 16:25 c_schmitz Note Added: 62581
2021-03-01 16:25 c_schmitz Assigned To => c_schmitz
2021-03-01 16:25 c_schmitz Resolution open => fixed
2021-03-01 16:29 c_schmitz Changeset attached => LimeSurvey master 6036bb2d
2021-03-01 16:29 c_schmitz Note Added: 62582
2021-03-01 16:29 c_schmitz Status feedback => resolved
2021-03-08 19:31 c_schmitz Fixed in Version => 4.4.12
2021-03-08 19:38 c_schmitz Status resolved => closed